Skip to main content
POST
/
stores
/
{storeId}
/
categories
Create a category
curl --request POST \
  --url https://api.pandabase.io/v2/core/stores/{storeId}/categories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "parentId": "<string>",
  "displayOrder": 0,
  "icon": "<string>",
  "metaTitle": "<string>",
  "metaDescription": "<string>",
  "showInNavigation": true,
  "featured": false,
  "isFavourite": false,
  "isArchived": false,
  "productIds": [
    "<string>"
  ]
}
'
{
  "ok": true,
  "data": "<unknown>"
}

Authorizations

Authorization
string
header
required

Store API token. Use the sk_ prefixed secret key as the Bearer token.

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

Required string length: 12 - 48

Body

application/json
name
string
required
Required string length: 1 - 128
slug
string
Required string length: 2 - 128
description
string
Maximum string length: 500
parentId
string
displayOrder
integer
default:0
Required range: 0 <= x <= 9999
icon
string
Maximum string length: 64
metaTitle
string
Maximum string length: 128
metaDescription
string
Maximum string length: 320
showInNavigation
boolean
default:true
isFavourite
boolean
default:false
isArchived
boolean
default:false
productIds
string[]
Maximum array length: 100

Response

Successful operation

ok
boolean
required
data
any
required